%{?nodejs_find_provides_and_requires}
Name:                nodejs-define-properties
Version:             1.1.3
Release:             2
Summary:             Define multiple non-enumerable properties at once
License:             MIT
URL:                 https://github.com/ljharb/define-properties
Source0:             https://registry.npmjs.org/define-properties/-/define-properties-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(foreach) npm(object-keys) npm(tape)
%description
Define multiple non-enumerable properties at once. Use
Object.defineProperty when available; falls back to standard
assignment in older engines. Existing properties are not
overridden. Accepts a map of property names to a predicate
that, when true, force-overrides.

%prep
%autosetup -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/define-properties
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/define-properties
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/define-properties

%changelog
* Thu Nov 26 2020 leiju <leiju4@huawei.com> - 1.1.3-2
- delete nodejs-define-properties.spec.old redundancy file

* Tue Aug 18 2020 Anan Fu <fuanan3@huawei.com> - 1.1.3-1
- package init
